Loading...
Searching...
No Matches
scalarmatrixview.hh File Reference
Common » Dense Matrix and Vector Template Library

Implements a scalar matrix view wrapper around an existing scalar. More...

`#include <cstddef>`
`#include <type_traits>`
`#include <ostream>`
`#include <dune/common/boundschecking.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/matvectraits.hh>`
`#include <dune/common/densematrix.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/scalarvectorview.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Implements a scalar matrix view wrapper around an existing scalar.